fenix (0.92a.dfsg1-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:01:21 +0800

fenix (0.92a.dfsg1-12) unstable; urgency=medium

  [ Peter Pentchev ]
  * Fix the build with giflib5 using the patch supplied by
    Matthias Klose <doko@debian.org>.  Closes: #803279
  * Bump the debhelper compatibility level to 9:
    - use CPPFLAGS, CFLAGS, and LDFLAGS provided by debhelper
    - thus, drop the explicit versioned dependency on dpkg-dev
    - add the cflags-env patch to actually honor CFLAGS passed via
      the environment
  * Declare compliance with Debian Policy 3.9.6 with no changes.
  * Add a DEP-3 header to all the patches that did not have them.
  * Convert the copyright file to the 1.0 machine-readable format and
    add my debian/* copyright notice.
  * Enable Large File Support.
  * Add the declare-load-file patch to fix the conflicting declarations
    of load_file() in the fxc source.  Closes: #749635.
    Reported by: Michael Tautschnig <mt@debian.org>
  * Fix the encoding of the Spanish translation.  Closes: #684279.
    Reported by: Jakub Wilk <jwilk@debian.org>
    Submitted by: Christian PERRIER <bubulle@debian.org>
  * Refresh the debian/fenix.sh script a bit.
  * Drop the version in the autotools-dev dependency, satisfied even in
    oldoldstable.
  * Convert debian/TODO and debian/doc/map.txt to UTF-8.  Unfortunately,
    this still leaves some non-UTF-8 characters in patches that reference
    the original program source.
  * Use the dpkg-dev defaults for compressing the Debian tarball.
  * Depend on libmikmod-dev instead of libmikmod2-dev.  Closes: #744986.
  * Use dh-autoreconf to rebuild the autoconf framework and remove all
    the changes to autogenerated files; all the patches already patched
    the source files, too.
  * Point the Vcs-* source control fields to the migrated Git repository.

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 3.9.6 to 3.9.8.
  * Acknowledge NMU 0.92a.dfsg1-11.1.

  [ Simon McVittie ]
  * Update Vcs-* source control fields for salsa.debian.org

  [ Peter Pentchev ]
  * Add the fxi-fx-prefix patch to fix the build with recent glibc.
    Closes: #917982
  * Remove a patch not referenced in the series file.
  * List the upstream files excluded from the DFSG-repacked tarball.
  * Remove some trailing whitespace from old changelog entries.
  * Drop the get-orig-source target now that we have Files-Excluded.
  * Switch some Debian- and upstream-related URLs to the HTTPS scheme.
  * Install debian/examples/skeleton.prg as a fenix-dev example.
  * Use the debhelper-compat (= 9) mechanism.
  * Update to debhelper compatibility level 12:
    - drop the dependencies and invocations of dh_autoreconf and
      dh_autotools_dev - those are done automatically in compatibility
      level 10
  * Bring up to compliance with Debian Policy 4.3.0:
    - switch to priority optional instead of extra
    - install the NEWS file as NEWS, not changelog, in both packages
    - add "Rules-Requires-Root: no" to the source control stanza
  * Add "Multi-Arch: foreign" to the binary packages.
  * Use my Debian e-mail address.
  * Add the year 2019 to my debian/* copyright notice.
  * Do not compile anything when building only architecture-independent
    packages.  Closes: #917493
  * Add the fxc-cmdline-crash and fxi-cmdline-title patches to
    fix some command-line processing problems.  Closes: #715899
  * Add the map-gif-256-colors patch to fix fenix-map's parsing of
    GIF images with 256 colors.
  * Add a simple test suite.

 -- Peter Pentchev <roam@debian.org>  Wed, 13 Feb 2019 16:35:24 +0200

fenix (0.92a.dfsg1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803279.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 04:41:20 +0000

fenix (0.92a.dfsg1-11) unstable; urgency=medium

  * Team upload.
  * Fix locale-specific FTBFS by exporting LC_ALL=C in debian/rules.
    (Closes: #795731)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 20 Aug 2015 02:32:45 -0700

fenix (0.92a.dfsg1-10) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org (Closes: #712272)

  [ Vincent Cheng ]
  * Fix FTBFS by linking against libgif. (Closes: #732787, #738073)
    (LP: #1277593)
  * Build-depend on libpng-dev instead of libpng12-dev. (Closes: #662322)
  * Add debian/patches/fix_ftbfs_libpng1.5.patch to fix FTBFS against
    libpng 1.5. (Closes: #649548)
  * Build for mipsn32 mipsn32el. (Closes: #726130)
  * Update to Standards version 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 30 Mar 2014 23:49:50 -0700

fenix (0.92a.dfsg1-9) unstable; urgency=low

  * Team upload.
  * Don't pass --as-needed in fxi/src/Makefile
    --as-needed was passed to gcc and produced a FTBFS with gcc 4.6.
  * Drop unused override unknown-architecture armhf, thanks lintian.
  * Standards-Version: 3.9.2

 -- Evgeni Golov <evgeni@debian.org>  Mon, 09 May 2011 10:46:53 +0200

fenix (0.92a.dfsg1-8) unstable; urgency=low

  * Add the kfreebsd patch to fix the FTBFS on GNU/kFreeBSD.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 15 Mar 2011 15:10:25 +0200

fenix (0.92a.dfsg1-7) unstable; urgency=low

  * Team upload.
  * debian/control: Do not wrap Architecture field.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Mar 2011 13:39:42 +0100

fenix (0.92a.dfsg1-6) unstable; urgency=low

  [ Peter De Wachter ]
  * Fixed watch file. (Closes: #544789)

  [ Miriam Ruiz ]
  * Added Renesas SH(sh4) CPU to support architecture list. Closes: #551144

  [ Peter Pentchev ]
  * Added ARM Hard Float (armhf) to the list of supported architectures and
    override the Lintian "unknown architecture" warning.  Closes: #604658
  * Convert to the 3.0 (quilt) source format with bzip2 compression.
  * Refer to the GPL-2 license file in the copyright blurb.
  * Complete the short description of the fenix-dev package.
  * Install the NEWS file as an upstream changelog.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Fix some spelling mistakes in both the upstream source and some of
    the Debian packaging files.
  * Bump the debhelper compatibility level to 8:
    - shorten the rules file using the dh(1) helper
    - use "dh --with autotools_dev" to handle config.guess and config.sub
    - use debhelper override rules
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain CFLAGS, CPPFLAGS
    and LDFLAGS.
  * With this dpkg-dev dependency, this upload by itself Closes: #604964.
  * Add myself to the list of uploaders.
  * Remove the dh_compress override - dh_compress(1) already will compress
    all the text files in /usr/share/doc/fenix.  This change also fixes
    the arch-indep only build.
  * Drop part of the headers patch and always apply the rest to unbreak
    the arch-dep only build.
  * Also link to libdl and libm to fix the FTBFS with binutils-gold.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 07 Mar 2011 15:27:14 +0200

fenix (0.92a.dfsg1-5) unstable; urgency=low

  [ Peter De Wachter ]
  * Compile with -fno-strict-aliasing. (Closes: #456034)
  * Drop 64 bit architectures, until #456037 is solved.
  * Added watch file.
  [ Barry deFreese ]
  * Acknowledge NMUs.
  * Add myself to uploaders.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 18 Dec 2008 16:11:59 -0500

fenix (0.92a.dfsg1-4.1) unstable; urgency=high

  [ Vincent Fourmond ]
  * Non-maintainer upload.

  [ Miriam Ruiz ]
  * Added patch string_alloc_crash.patch to fix segfault
    Thanks to Darren Salt <linux@youmustbejoking.demon.co.uk>. Closes: #485061
  * Added patches include_fixes.patch and warning_fixes.patch.
    Thanks to Darren Salt <linux@youmustbejoking.demon.co.uk>. Closes: #485062

  [ Vincent Fourmond ]
  * Urgency high to fix a RC bug in testing
  * Switch to using libgif-dev instead of libungif4-dev, as the latter
    is deprecated

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 20 Jul 2008 16:01:24 +0200

fenix (0.92a.dfsg1-4) unstable; urgency=low

  [ Miriam Ruiz ]
  * Fixed bashism: Replaced "{build,configure}-stamp"
    by "build-stamp configure-stamp" in debian/rules. (Closes: #478372)
  * Fixed build system for armel port. (Closes: #481928)
  * Upgraded Standards-Version from 2.7.2 to 3.7.3

  [ Jon Dowland ]
  * Added Homepage: control field to source stanza

  [ Ansgar Burchardt ]
  * debian/control: Changed XS-Vcs-* to Vcs-*

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 07 Jun 2008 00:57:06 +0200

fenix (0.92a.dfsg1-3) unstable; urgency=low

  * Replaced GFDL full text by a link to /usr/share/common-licenses/GFDL-1.2
    in debian/copyright.
  * Added patch fxi_pal_get.patch.
    Thanks to Dann Frazier <dannf@debian.org>. Hopefully, Closes: #437735

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 15 Nov 2007 19:51:00 +0000

fenix (0.92a.dfsg1-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added new patch to correct FTBFS problem. Closes: #438607
  * Added patch fxi_pal.patch for missing function prototype definition
    in fxi/src/i_func.c and fxi_sdl_mixer_use_rwops.patch to use the
    Mix_LoadMUS_RW() function.
    Thanks to Dann Frazier <dannf@debian.org>. Closes: #437735
  * Added copyright and license to patches.

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 28 Aug 2007 15:09:20 +0200

fenix (0.92a.dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Renamed package to simply fenix
  * Added patch to synchronize code against the latest CVS version
  * Added support for reading programs from stdin in the interpreter.
  * Added fenix binary to compile and execute a game on the fly.
  * Put compiler and interpreter in a single package.
  * Make fxc and fxi return proper values to signal errors in Linux.
  * Added debian/doc documentation files and updated debian/copyright
  * Added development package with the headers for creating plugins.
  * Added headers.patch to patch the development headers before installing.
  * Added fxi_apptitle.patch to be able to set the title of the window.

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 13 Jul 2007 21:30:27 +0000

fenix0.92 (0.92a.dfsg1-5) unstable; urgency=low

  * Divided i18n patches into smaller ones.
  * Fixed some messages missing from the gettextization.
  * Added switch -o to fxc to redirect bytecode to a certain file or to stdout.
  * Added icons.

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 02 Jul 2007 18:23:10 +0000

fenix0.92 (0.92a.dfsg1-4) unstable; urgency=low

  * All the messages translated to proper English.
  * Added support for gettext.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 13 Jun 2007 00:48:43 +0000

fenix0.92 (0.92a.dfsg1-3) unstable; urgency=low

  * Removed initialisation of the SDL system in the compiler.

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 11 Jun 2007 11:08:08 +0000

fenix0.92 (0.92a.dfsg1-2) unstable; urgency=low

  * Modified man pages.
  * Added Build-Depends: zlib1g-dev

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed,  6 Jun 2007 07:48:29 +0200

fenix0.92 (0.92a.dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #427558)

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 04 Jun 2007 17:46:25 +0000
